Package net.snowflake.client.core

## Class SFLoginInput

- java.lang.Object
- - net.snowflake.client.core.SFLoginInput

    public class SFLoginInput
    extends Object

A class for holding all information required for login

### Constructor Summary

Constructors
`SFLoginInput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAccountName()`
`String` `getApplication()`
`String` `getAuthenticator()`
`int` `getAuthTimeout()`
`SessionUtilExternalBrowser.AuthExternalBrowserHandlers` `getBrowserHandler()`
`Duration` `getBrowserResponseTimeout()`
`String` `getClientId()`
`String` `getClientSecret()`
`boolean` `getDisableConsoleLogin()`
`String` `getDPoPPublicKey()`
`HttpClientSettingsKey` `getHttpClientSettingsKey()`
`int` `getLoginTimeout()`
`SFOauthLoginInput` `getOauthLoginInput()`
`String` `getOauthRefreshToken()`
`String` `getOKTAUserName()`
`String` `getPassword()`
`int` `getRedirectUriPort()`
`String` `getRole()`
`String` `getSchemaName()`
`String` `getServerUrl()`
`String` `getSessionToken()`
`int` `getSocketTimeoutInMillis()`
`String` `getToken()`
`String` `getUserName()`
`String` `getWarehouse()`
`WorkloadIdentityAttestation` `getWorkloadIdentityAttestation()`
`String` `getWorkloadIdentityEntraResource()`
`boolean` `isDPoPEnabled()`
`boolean` `isValidateDefaultParameters()`
`SFLoginInput` `setAccountName​(String accountName)`
`SFLoginInput` `setAdditionalHttpHeadersForSnowsight​(Map<String,​String> additionalHttpHeaders)` Set additional http headers to apply to the outgoing request.
`SFLoginInput` `setApplication​(String application)`
`SFLoginInput` `setAuthenticator​(String authenticator)`
`void` `setBrowserHandler​(SessionUtilExternalBrowser.AuthExternalBrowserHandlers browserHandler)`
`SFLoginInput` `setBrowserResponseTimeout​(Duration browserResponseTimeout)`
`SFLoginInput` `setClientId​(String clientId)`
`SFLoginInput` `setClientSecret​(String clientSecret)`
`void` `setDPoPEnabled​(boolean dpopEnabled)`
`SFLoginInput` `setHttpClientSettingsKey​(HttpClientSettingsKey key)`
`SFLoginInput` `setOauthLoginInput​(SFOauthLoginInput oauthLoginInput)`
`SFLoginInput` `setOKTAUserName​(String oktaUserName)`
`SFLoginInput` `setPassword​(String password)`
`SFLoginInput` `setRedirectUriPort​(int redirectUriPort)`
`SFLoginInput` `setRole​(String role)`
`SFLoginInput` `setSchemaName​(String schemaName)`
`SFLoginInput` `setServerUrl​(String serverUrl)`
`SFLoginInput` `setSessionToken​(String sessionToken)`
`SFLoginInput` `setSocketTimeout​(Duration socketTimeout)`
`SFLoginInput` `setToken​(String token)`
`SFLoginInput` `setValidateDefaultParameters​(Object v)`
`SFLoginInput` `setWarehouse​(String warehouse)`
`void` `setWorkloadIdentityAttestation​(WorkloadIdentityAttestation workloadIdentityAttestation)`
`SFLoginInput` `setWorkloadIdentityEntraResource​(String workloadIdentityEntraResource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFLoginInput

    @SnowflakeJdbcInternalApi
    public SFLoginInput()

### Method Detail

#### getBrowserResponseTimeout

    @SnowflakeJdbcInternalApi
    public Duration getBrowserResponseTimeout()

#### setBrowserResponseTimeout

    @SnowflakeJdbcInternalApi
    public SFLoginInput setBrowserResponseTimeout​(Duration browserResponseTimeout)

#### getServerUrl

    public String getServerUrl()

#### setServerUrl

    @SnowflakeJdbcInternalApi
    public SFLoginInput setServerUrl​(String serverUrl)

#### getDisableConsoleLogin

    public boolean getDisableConsoleLogin()

#### getSchemaName

    public String getSchemaName()

#### setSchemaName

    public SFLoginInput setSchemaName​(String schemaName)

#### getWarehouse

    public String getWarehouse()

#### setWarehouse

    public SFLoginInput setWarehouse​(String warehouse)

#### getRole

    public String getRole()

#### setRole

    public SFLoginInput setRole​(String role)

#### isValidateDefaultParameters

    public boolean isValidateDefaultParameters()

#### setValidateDefaultParameters

    public SFLoginInput setValidateDefaultParameters​(Object v)

#### getAuthenticator

    public String getAuthenticator()

#### setAuthenticator

    public SFLoginInput setAuthenticator​(String authenticator)

#### getOKTAUserName

    public String getOKTAUserName()

#### setOKTAUserName

    public SFLoginInput setOKTAUserName​(String oktaUserName)

#### getAccountName

    public String getAccountName()

#### setAccountName

    public SFLoginInput setAccountName​(String accountName)

#### getLoginTimeout

    @SnowflakeJdbcInternalApi
    public int getLoginTimeout()

#### getAuthTimeout

    @SnowflakeJdbcInternalApi
    public int getAuthTimeout()

#### getUserName

    public String getUserName()

#### getPassword

    public String getPassword()

#### setPassword

    public SFLoginInput setPassword​(String password)

#### getToken

    public String getToken()

#### setToken

    public SFLoginInput setToken​(String token)

#### getSocketTimeoutInMillis

    @SnowflakeJdbcInternalApi
    public int getSocketTimeoutInMillis()

#### setSocketTimeout

    @SnowflakeJdbcInternalApi
    public SFLoginInput setSocketTimeout​(Duration socketTimeout)

#### getSessionToken

    public String getSessionToken()

#### setSessionToken

    public SFLoginInput setSessionToken​(String sessionToken)

#### getOauthRefreshToken

    @SnowflakeJdbcInternalApi
    public String getOauthRefreshToken()

#### getDPoPPublicKey

    @SnowflakeJdbcInternalApi
    public String getDPoPPublicKey()

#### isDPoPEnabled

    @SnowflakeJdbcInternalApi
    public boolean isDPoPEnabled()

#### setDPoPEnabled

    @SnowflakeJdbcInternalApi
    public void setDPoPEnabled​(boolean dpopEnabled)

#### getApplication

    public String getApplication()

#### setApplication

    public SFLoginInput setApplication​(String application)

#### getHttpClientSettingsKey

    @SnowflakeJdbcInternalApi
    public HttpClientSettingsKey getHttpClientSettingsKey()

#### setHttpClientSettingsKey

    @SnowflakeJdbcInternalApi
    public SFLoginInput setHttpClientSettingsKey​(HttpClientSettingsKey key)

#### getRedirectUriPort

    public int getRedirectUriPort()

#### setRedirectUriPort

    public SFLoginInput setRedirectUriPort​(int redirectUriPort)

#### getClientId

    public String getClientId()

#### setClientId

    public SFLoginInput setClientId​(String clientId)

#### getClientSecret

    public String getClientSecret()

#### setClientSecret

    public SFLoginInput setClientSecret​(String clientSecret)

#### setAdditionalHttpHeadersForSnowsight

    public SFLoginInput setAdditionalHttpHeadersForSnowsight​(Map<String,​String> additionalHttpHeaders)

Set additional http headers to apply to the outgoing request. The additional headers cannot be used to replace or overwrite a header in use by the driver. These will be applied to the outgoing request. Primarily used by Snowsight, as described in `HttpUtil.applyAdditionalHeadersForSnowsight(HttpRequestBase, Map)`

Parameters:
  `additionalHttpHeaders` - The new headers to add
Returns:
  The input object, for chaining
See Also:
  `HttpUtil.applyAdditionalHeadersForSnowsight(HttpRequestBase, Map)`

#### getOauthLoginInput

    @SnowflakeJdbcInternalApi
    public SFOauthLoginInput getOauthLoginInput()

#### setOauthLoginInput

    @SnowflakeJdbcInternalApi
    public SFLoginInput setOauthLoginInput​(SFOauthLoginInput oauthLoginInput)

#### setWorkloadIdentityAttestation

    public void setWorkloadIdentityAttestation​(WorkloadIdentityAttestation workloadIdentityAttestation)

#### getWorkloadIdentityAttestation

    public WorkloadIdentityAttestation getWorkloadIdentityAttestation()

#### getWorkloadIdentityEntraResource

    public String getWorkloadIdentityEntraResource()

#### setWorkloadIdentityEntraResource

    public SFLoginInput setWorkloadIdentityEntraResource​(String workloadIdentityEntraResource)

#### getBrowserHandler

    @SnowflakeJdbcInternalApi
    public SessionUtilExternalBrowser.AuthExternalBrowserHandlers getBrowserHandler()

#### setBrowserHandler

    @SnowflakeJdbcInternalApi
    public void setBrowserHandler​(SessionUtilExternalBrowser.AuthExternalBrowserHandlers browserHandler)